﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace FoursquareNET.Friend
{
    public class GetPending
    {
        private const string URL = "http://api.foursquare.com/v1/friend/requests";
        private const Common.HttpRequestMethod HTTP_REQUEST_METHOD = Common.HttpRequestMethod.GET;
        
        private List<Parameter> Parameters = new List<Parameter>();

        /// <summary>
        /// Allows you to add a new tip or to-do at a venue.
        /// </summary>
        /// <param name="returnFormat"></param>
        public GetPending()
        {
            
        }

        public List<Schema.User> Execute(Credential credential)
        {
            string result = Common.HTTPPost(URL, Parameters, credential, HTTP_REQUEST_METHOD);

            return new System.Web.Script.Serialization.JavaScriptSerializer().Deserialize<Schema.RequestsObj>(result).Requests;
        }

        #region Parameters

        //no parameters

        #endregion
    }
}
